﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace BiblioEnCSharp
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataTable authors = new DataTable();
            authors.Columns.Add("authID");
            authors.Columns.Add("Name");
            authors.PrimaryKey = new DataColumn[] { authors.Columns[0]};
            authors.Rows.Add("001", "J.R.R. Tolkien");
            authors.Rows.Add("002", "S. King");
            authors.Rows.Add("003", "J.K. Rowlings");
            DataTable books = new DataTable();
            books.Columns.Add("authID");
            books.Columns.Add("BookTitle");
            books.Rows.Add("001", "Lord of the rings - 1");
            books.Rows.Add("001", "Lord of the rings - 2");
            books.Rows.Add("001", "Lord of the rings - 3");
            books.Rows.Add("001", "The Silmarillon");
            books.Rows.Add("001", "Faerie");
            books.Rows.Add("002", "Insomnia");
            books.Rows.Add("002", "Christine");
            books.Rows.Add("002", "Carrie");
            books.Rows.Add("003", "Harry Potter 1");
            books.Rows.Add("003", "Harry Potter 2");
            books.Rows.Add("003", "Harry Potter 3");
            books.Rows.Add("003", "Harry Potter 4");
            books.Rows.Add("003", "Harry Potter 5");
            books.Rows.Add("003", "Harry Potter 6");
            books.Rows.Add("003", "Harry Potter 7");
            DataSet ds = new DataSet();
            ds.Tables.Add(authors);
            ds.Tables.Add(books);
            ds.Relations.Add(ds.Tables[0].Columns[0], ds.Tables[1].Columns[0]);
            myGrid.InitialDataBindDepth = -1;
            myGrid.DataKeyFields = "authID";
            myGrid.DataSource = ds;
            myGrid.DataBind();
            //Next 2 lines causes the problem.
            //myGrid.GridView.Columns[0].Hidden = true;
            //myGrid.Columns[0].Hidden = true;
        }
    }
}
